{"openapi":"3.0.0","info":{"title":"/home/jayhacker/Downloads/flows Mitmproxy2Swagger","version":"1.0.0"},"servers":[{"url":"http://127.0.0.1:8888","description":"The default server"}],"paths":{"/identity/api/v2/user/dashboard":{"get":{"summary":"GET dashboard","responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"},"email":{"type":"string"},"number":{"type":"string"},"picture_url":{"type":"object","nullable":true},"video_url":{"type":"object","nullable":true},"video_name":{"type":"object","nullable":true},"available_credit":{"type":"number"},"video_id":{"type":"number"},"role":{"type":"string"}}},"example":{"id":8,"name":"Jayyy","email":"jayhacker@gmail.com","number":"1123456732","picture_url":null,"video_url":null,"video_name":null,"available_credit":100.0,"video_id":0,"role":"ROLE_USER"}}}}}}},"/identity/api/auth/verify":{"post":{"summary":"POST verify","responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"number"}}},"example":{"message":"The token is a valid JWT token","status":200}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"token":{"type":"string"}}},"example":{"token":"eyJhbGciOiJSUzI1NiJ9.eyJzdWIiOiJqYXloYWNrZXJAZ21haWwuY29tIiwiaWF0IjoxNzg1MTUzNDQ5LCJleHAiOjE3ODU3NTgyNDksInJvbGUiOiJ1c2VyIn0.NIbbzJiNu-VYl62eKugSRvrbNBM2euA5m8EbsZtC9Qej0JIWgMxo6Q5dFNETAPx5GJXMA5A_c_tCHlOCmfyWMM0CUaGysX4aHO2DkK_FwWEf02gUaEQTqeGPQzLTiCdjkwCxEZnOgOjJ2ryDU0u50Opnn3eUj7n7K7CCVzhV09dwMqbSBB7Hv0Lt6RN2FfXVpn5an7fNOYp-ag2SxRsUq-d9-euJ2Gvdf1rEExhXFGJwO5nCz1H5Mj7UG7o8kJ-n9gJJUBfFTzfP_DlVawzLh_hjb-MOv2U_3t_4SgIRuXH12o8s9llTsFsVG2Zzr1jPa1aiA3VhBE4R2iepsTRUDA"}}}}}},"/%F0%9F%A4%96":{"get":{"summary":"GET %f0%9f%a4%96","responses":{"200":{"description":"OK","content":{}}}}},"/identity/api/v2/vehicle/vehicles":{"get":{"summary":"GET vehicles","responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"id":{"type":"number"},"uuid":{"type":"string"},"pincode":{"type":"string"},"vin":{"type":"string"},"year":{"type":"number"},"status":{"type":"string"},"previousOwners":{"type":"array","items":{}},"model":{"type":"object","properties":{"id":{"type":"number"},"model":{"type":"string"},"fuel_type":{"type":"string"},"vehicle_img":{"type":"string"},"vehiclecompany":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"}}}}},"vehicleLocation":{"type":"object","properties":{"id":{"type":"number"},"latitude":{"type":"string"},"longitude":{"type":"string"}}},"owner":{"type":"object","nullable":true}}}},"example":[{"id":52,"uuid":"bc7ff1c6-fdfd-4846-865c-e634a1f5ae92","pincode":"5848","vin":"66UM6576JDN5T0MND","year":2026,"status":"INACTIVE","previousOwners":[],"model":{"id":2,"model":"Aventador","fuel_type":"PETROL","vehicle_img":"images/lamborghini-aventador.jpg","vehiclecompany":{"id":2,"name":"Lamborghini"}},"vehicleLocation":{"id":4,"latitude":"38.206348","longitude":"-84.270172"},"owner":null}]}}}}}},"/chatbot/genai/state":{"get":{"summary":"GET state","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"initialized":{"type":"string"},"message":{"type":"string"}}},"example":{"initialized":"false","message":"Model needs to be initialized"}}}}}}},"/workshop/api/shop/products":{"get":{"summary":"GET products","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"products":{"type":"array","items":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"},"price":{"type":"string"},"image_url":{"type":"string"}}}},"credit":{"type":"number"},"next_offset":{"type":"object","nullable":true},"previous_offset":{"type":"object","nullable":true},"count":{"type":"number"}}},"example":{"products":[{"id":2,"name":"Wheel","price":"10.00","image_url":"images/wheel.svg"},{"id":1,"name":"Seat","price":"10.00","image_url":"images/seat.svg"}],"credit":100.0,"next_offset":null,"previous_offset":null,"count":2}}}}},"parameters":[{"name":"limit","in":"query","required":false,"schema":{"type":"number"}},{"name":"offset","in":"query","required":false,"schema":{"type":"number"}}]}},"/images/wheel.svg":{"get":{"summary":"GET wheel.svg","responses":{"200":{"description":"OK","content":{}}}}},"/images/seat.svg":{"get":{"summary":"GET seat.svg","responses":{"200":{"description":"OK","content":{}}}}},"/workshop/api/shop/orders":{"post":{"summary":"POST orders","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"number"},"message":{"type":"string"},"credit":{"type":"number"}}},"example":{"id":6,"message":"Order sent successfully.","credit":90.0}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"product_id":{"type":"number"},"quantity":{"type":"number"}}},"example":{"product_id":2,"quantity":1}}}}}},"/workshop/api/shop/orders/{id}":{"get":{"summary":"GET orders by id","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"orders":{"type":"array","items":{"type":"object","properties":{"id":{"type":"number"},"user":{"type":"object","properties":{"email":{"type":"string"},"number":{"type":"string"}}},"product":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"},"price":{"type":"string"},"image_url":{"type":"string"}}},"quantity":{"type":"number"},"status":{"type":"string"},"transaction_id":{"type":"string"},"created_on":{"type":"string"}}}},"next_offset":{"type":"object","nullable":true},"previous_offset":{"type":"object","nullable":true},"count":{"type":"number"}}},"example":{"orders":[{"id":6,"user":{"email":"jayhacker@gmail.com","number":"1123456732"},"product":{"id":2,"name":"Wheel","price":"10.00","image_url":"images/wheel.svg"},"quantity":1,"status":"delivered","transaction_id":"f7980a21-e0d1-4331-a872-bd6dd86eef51","created_on":"2026-07-27T12:31:41.991599"}],"next_offset":null,"previous_offset":null,"count":1}}}}},"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"limit","in":"query","required":false,"schema":{"type":"number"}},{"name":"offset","in":"query","required":false,"schema":{"type":"number"}}]},"post":{"summary":"POST orders by id","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"},"qr_code_url":{"type":"string"},"order":{"type":"object","properties":{"id":{"type":"number"},"user":{"type":"object","properties":{"email":{"type":"string"},"number":{"type":"string"}}},"product":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"},"price":{"type":"string"},"image_url":{"type":"string"}}},"quantity":{"type":"number"},"status":{"type":"string"},"transaction_id":{"type":"string"},"created_on":{"type":"string"}}}}},"example":{"message":"Please use the following QR code to return your order to a UPS store!","qr_code_url":"http://127.0.0.1:8888/workshop/api/shop/return_qr_code","order":{"id":6,"user":{"email":"jayhacker@gmail.com","number":"1123456732"},"product":{"id":2,"name":"Wheel","price":"10.00","image_url":"images/wheel.svg"},"quantity":1,"status":"return pending","transaction_id":"f7980a21-e0d1-4331-a872-bd6dd86eef51","created_on":"2026-07-27T12:31:41.991599"}}}}}},"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"order_id","in":"query","required":false,"schema":{"type":"number"}}]}},"/workshop/api/shop/return_qr_code":{"get":{"summary":"GET return_qr_code","responses":{"200":{"description":"OK","content":{}}}}},"/community/api/v2/coupon/validate-coupon":{"post":{"summary":"POST validate-coupon","responses":{"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"type":"object","properties":{}},"example":{}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"coupon_code":{"type":"string"}}},"example":{"coupon_code":"gghjkkf"}}}}}},"/community/api/v2/community/posts/recent":{"get":{"summary":"GET recent","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"posts":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"title":{"type":"string"},"content":{"type":"string"},"author":{"type":"object","properties":{"nickname":{"type":"string"},"email":{"type":"string"},"vehicleid":{"type":"string"},"profile_pic_url":{"type":"string"},"created_at":{"type":"string"}}},"comments":{"type":"array","items":{}},"authorid":{"type":"number"},"CreatedAt":{"type":"string"}}}},"next_offset":{"type":"object","nullable":true},"previous_offset":{"type":"object","nullable":true},"total":{"type":"number"}}},"example":{"posts":[{"id":"QujjTvPNRgyKecgnLnnMgN","title":"Title 3","content":"Hello world 3","author":{"nickname":"Robot","email":"robot001@example.com","vehicleid":"4bae9968-ec7f-4de3-a3a0-ba1b2ab5e5e5","profile_pic_url":"","created_at":"2026-07-10T09:13:59.234Z"},"comments":[],"authorid":3,"CreatedAt":"2026-07-10T09:13:59.234Z"},{"id":"PYeCEEV9yUVjTuXpYpbcjX","title":"Title 2","content":"Hello world 2","author":{"nickname":"Pogba","email":"pogba006@example.com","vehicleid":"cd515c12-0fc1-48ae-8b61-9230b70a845b","profile_pic_url":"","created_at":"2026-07-10T09:13:59.229Z"},"comments":[],"authorid":2,"CreatedAt":"2026-07-10T09:13:59.229Z"},{"id":"8mwg4vf5dsz4Lg5WoYkq3c","title":"Title 1","content":"Hello world 1","author":{"nickname":"Adam","email":"adam007@example.com","vehicleid":"f89b5f21-7829-45cb-a650-299a61090378","profile_pic_url":"","created_at":"2026-07-10T09:13:59.165Z"},"comments":[],"authorid":1,"CreatedAt":"2026-07-10T09:13:59.165Z"}],"next_offset":null,"previous_offset":null,"total":3}}}}},"parameters":[{"name":"limit","in":"query","required":false,"schema":{"type":"number"}},{"name":"offset","in":"query","required":false,"schema":{"type":"number"}}]}},"/community/api/v2/community/posts":{"post":{"summary":"POST posts","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"title":{"type":"string"},"content":{"type":"string"},"author":{"type":"object","properties":{"nickname":{"type":"string"},"email":{"type":"string"},"vehicleid":{"type":"string"},"profile_pic_url":{"type":"string"},"created_at":{"type":"string"}}},"comments":{"type":"array","items":{}},"authorid":{"type":"number"},"CreatedAt":{"type":"string"}}},"example":{"id":"J76N2NDH2mUEm74BSnm73b","title":"complain","content":"I love this product","author":{"nickname":"Jayyy","email":"jayhacker@gmail.com","vehicleid":"bc7ff1c6-fdfd-4846-865c-e634a1f5ae92","profile_pic_url":"","created_at":"2026-07-27T12:33:55.350786605Z"},"comments":[],"authorid":8,"CreatedAt":"2026-07-27T12:33:55.350787042Z"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"title":{"type":"string"},"content":{"type":"string"}}},"example":{"title":"complain","content":"I love this product"}}}}}},"/workshop/api/merchant/service_requests/66UM6576JDN5T0MND":{"get":{"summary":"GET 66um6576jdn5t0mnd","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"service_requests":{"type":"array","items":{}},"next_offset":{"type":"object","nullable":true},"previous_offset":{"type":"object","nullable":true},"count":{"type":"number"}}},"example":{"service_requests":[],"next_offset":null,"previous_offset":null,"count":0}}}}}}},"/workshop/api/mechanic":{"get":{"summary":"GET mechanic","responses":{"200":{"description":"OK","content":{}}}}},"/workshop/api/mechanic/":{"get":{"summary":"GET mechanic","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"mechanics":{"type":"array","items":{"type":"object","properties":{"id":{"type":"number"},"mechanic_code":{"type":"string"},"user":{"type":"object","properties":{"email":{"type":"string"},"number":{"type":"string"}}}}}},"previous_offset":{"type":"object","nullable":true},"next_offset":{"type":"object","nullable":true}}},"example":{"mechanics":[{"id":1,"mechanic_code":"TRAC_JHN","user":{"email":"jhon@example.com","number":""}},{"id":2,"mechanic_code":"TRAC_JME","user":{"email":"james@example.com","number":""}}],"previous_offset":null,"next_offset":null}}}}}}},"/workshop/api/merchant/contact_mechanic":{"post":{"summary":"POST contact_mechanic","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"response_from_mechanic_api":{"type":"object","properties":{"id":{"type":"number"},"sent":{"type":"boolean"},"report_link":{"type":"string"}}},"status":{"type":"number"}}},"example":{"response_from_mechanic_api":{"id":6,"sent":true,"report_link":"http://127.0.0.1:8888/workshop/api/mechanic/mechanic_report?report_id=6"},"status":200}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"mechanic_code":{"type":"string"},"problem_details":{"type":"string"},"vin":{"type":"string"},"mechanic_api":{"type":"string"},"repeat_request_if_failed":{"type":"boolean"},"number_of_repeats":{"type":"number"}}},"example":{"mechanic_code":"TRAC_JHN","problem_details":"faulty tyre","vin":"66UM6576JDN5T0MND","mechanic_api":"http://127.0.0.1:8888/workshop/api/mechanic/receive_report","repeat_request_if_failed":false,"number_of_repeats":1}}}}}},"/identity/api/v2/vehicle/bc7ff1c6-fdfd-4846-865c-e634a1f5ae92/location":{"get":{"summary":"GET location","responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"carId":{"type":"string"},"vehicleLocation":{"type":"object","properties":{"id":{"type":"number"},"latitude":{"type":"string"},"longitude":{"type":"string"}}},"fullName":{"type":"string"},"email":{"type":"string"}}},"example":{"carId":"bc7ff1c6-fdfd-4846-865c-e634a1f5ae92","vehicleLocation":{"id":4,"latitude":"38.206348","longitude":"-84.270172"},"fullName":"Jayyy","email":"jayhacker@gmail.com"}}}}}}},"/identity/api/v2/user/videos/{id}":{"get":{"summary":"GET videos by id","responses":{"404":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"number"}}},"example":{"message":"Video not found.","status":404}}}}},"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}]}},"/identity/api/v2/user/change-phone-number":{"post":{"summary":"POST change-phone-number","responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"number"}}},"example":{"message":"The otp has been sent to your email. If you have used example.com email, check your email using the MailHog web portal.0204574589","status":200}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"old_number":{"type":"string"},"new_number":{"type":"string"}}},"example":{"old_number":"1123456732","new_number":"0204574589"}}}}}},"/identity/api/v2/user/verify-phone-otp":{"post":{"summary":"POST verify-phone-otp","responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"number"}}},"example":{"message":"Phone number change is successful","status":200}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"old_number":{"type":"string"},"new_number":{"type":"string"},"otp":{"type":"string"}}},"example":{"old_number":"1123456732","new_number":"0204574589","otp":"9822"}}}}}},"/identity/api/v2/user/change-email":{"post":{"summary":"POST change-email","responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"number"}}},"example":{"message":"The token has been sent to your email. If you have used example.com email, check your email using the MailHog web portal.   jayyhacker@gamil.com","status":200}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"old_email":{"type":"string"},"new_email":{"type":"string"}}},"example":{"old_email":"jayhacker@gmail.com","new_email":"jayyhacker@gamil.com"}}}}}},"/identity/api/v2/user/verify-email-token":{"post":{"summary":"POST verify-email-token","responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"number"}}},"example":{"message":"Your Email changed successful. Please login with updated email. ","status":200}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"new_email":{"type":"string"},"token":{"type":"string"}}},"example":{"new_email":"jayyhacker@gamil.com","token":"g7n9Y3t0w1d5k4C5G9T9"}}}}}},"/identity/api/auth/login":{"post":{"summary":"POST login","responses":{"401":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"token":{"type":"object","nullable":true},"type":{"type":"string"},"message":{"type":"string"},"mfaRequired":{"type":"boolean"}}},"example":{"token":null,"type":"","message":"Given Email is not registered! ","mfaRequired":false}}}},"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"token":{"type":"string"},"type":{"type":"string"},"message":{"type":"string"},"mfaRequired":{"type":"boolean"}}},"example":{"token":"eyJhbGciOiJSUzI1NiJ9.eyJzdWIiOiJqYXl5aGFja2VyQGdhbWlsLmNvbSIsImlhdCI6MTc4NTE1NTk2NSwiZXhwIjoxNzg1NzYwNzY1LCJyb2xlIjoidXNlciJ9.oEq6l1EZFyW5TYilhvCFwLcEk8j7XXoBDy2h9EMjMPrvOcOgfXN3HQW6nvfH84LoInBUN7ngRikq-VwU5cGkDa2JVN88sG2zb8MMvnKyrnbUf1Xw43-hBNrNHUct2hPX249SOEL2RcB4bemyg7V51mc0ijPFrLZquppSp-mkOTgiGSo1RtZ1jSpqlyicaRrQWMD1bK9NG2uUnOVtydMDGYdKqHBAkgAdgNCUg6Eh_G9GZuvESxMo_EDHBoiHP-iTHp667EsNUbkhZuzE1yqtJj3r4e1T9T6PRRgeY2REE6SrjCwLo5F4vFiOqQv6XD9c6CMo5MOMPZkvSW4lbJDkXw","type":"Bearer","message":"Login successful","mfaRequired":false}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"email":{"type":"string"},"password":{"type":"string"}}},"example":{"email":"jayyhacker@gmail.com","password":"6T@dfhjf"}}}}}},"/community/api/v2/community/posts/8mwg4vf5dsz4Lg5WoYkq3c":{"get":{"summary":"GET 8mwg4vf5dsz4lg5woykq3c","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"title":{"type":"string"},"content":{"type":"string"},"author":{"type":"object","properties":{"nickname":{"type":"string"},"email":{"type":"string"},"vehicleid":{"type":"string"},"profile_pic_url":{"type":"string"},"created_at":{"type":"string"}}},"comments":{"type":"array","items":{}},"authorid":{"type":"number"},"CreatedAt":{"type":"string"}}},"example":{"id":"8mwg4vf5dsz4Lg5WoYkq3c","title":"Title 1","content":"Hello world 1","author":{"nickname":"Adam","email":"adam007@example.com","vehicleid":"f89b5f21-7829-45cb-a650-299a61090378","profile_pic_url":"","created_at":"2026-07-10T09:13:59.165Z"},"comments":[],"authorid":1,"CreatedAt":"2026-07-10T09:13:59.165Z"}}}}}}},"/community/api/v2/community/posts/8mwg4vf5dsz4Lg5WoYkq3c/comment":{"post":{"summary":"POST comment","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"title":{"type":"string"},"content":{"type":"string"},"author":{"type":"object","properties":{"nickname":{"type":"string"},"email":{"type":"string"},"vehicleid":{"type":"string"},"profile_pic_url":{"type":"string"},"created_at":{"type":"string"}}},"comments":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"content":{"type":"string"},"CreatedAt":{"type":"string"},"author":{"type":"object","properties":{"nickname":{"type":"string"},"email":{"type":"string"},"vehicleid":{"type":"string"},"profile_pic_url":{"type":"string"},"created_at":{"type":"string"}}}}}},"authorid":{"type":"number"},"CreatedAt":{"type":"string"}}},"example":{"id":"8mwg4vf5dsz4Lg5WoYkq3c","title":"Title 1","content":"Hello world 1","author":{"nickname":"Adam","email":"adam007@example.com","vehicleid":"f89b5f21-7829-45cb-a650-299a61090378","profile_pic_url":"","created_at":"2026-07-10T09:13:59.165Z"},"comments":[{"id":"","content":"ffbhk","CreatedAt":"2026-07-27T12:40:19.161716763Z","author":{"nickname":"Jayyy","email":"jayyhacker@gamil.com","vehicleid":"bc7ff1c6-fdfd-4846-865c-e634a1f5ae92","profile_pic_url":"","created_at":"2026-07-27T12:40:19.161716635Z"}}],"authorid":1,"CreatedAt":"2026-07-10T09:13:59.165Z"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"content":{"type":"string"}}},"example":{"content":"ffbhk"}}}}}}},"x-path-templates":["/identity/api/v2/user/videos/0","/workshop/api/shop/orders/6","/workshop/api/shop/orders/all","/workshop/api/shop/orders/return_order"]}